Thursday, 22 May 2014

Re: Qt5 Plans For Utopic

On Tuesday, May 20, 2014 08:06:11 Scott Kitterman wrote:
> On Tuesday, May 20, 2014 11:15:56 Pat McGowan wrote:
> top posting fixed.
>
> > On Wed, May 14, 2014 at 1:58 PM, Scott Kitterman
>
> <[email protected]>wrote:
> > > This cycle the Kubuntu team has work planned (packaging Plasma 5, the
> > > Qt5
> > > based KDE desktop environment) that requires Qt 5.3. Is there any
> > > objection
> > > to making Qt 5.3 the targeted major Qt5 release for 14.10?
> >
> > Hi Scott
> >
> > We are doing some testing with Qt 5.3 now. Preferably we would target it
> > for 14.10 barring any unforeseen issues. What is the dependency KDE has on
> > Qt 5.3?
>
> It's a requirement for the upcoming Plasma 5/Plasma Next (they are still
> arguing about the name as far as I can tell) - the Qt5 based version of the
> KDE Plasma Workspaces. We don't intend to ship it to our users as our
> primary release in 14.10, but we have decided we want to make it available.
>
> Qt 5.3.0 is now released and Debian has started packaging it, so I'd like to
> make this transition in the near future (as discussed at the last UDS, this
> ought to be done earlier rather that later in the development cycle).

Git head for plasma-next now requires Qt 5.3, so the lack of it is blocking
Kubuntu work. It's not fully packaged yet, so the lack of any consensus on
moving to it hasn't stopped anything yet, but we need to move forward on this
ASAP.

Scott K

--
ubuntu-devel mailing list
[email protected]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel